<html>
    <head>
        <meta charset="UTF-8"> 
        <title>tehtava4</title>
        <!-- INCLUDING JQUERY-->
        <script src="https://code.jquery.com/jquery-3.5.1.js"></script> 
        <!-- CSS FOR STYLING THE PAGE -->
        <link rel="stylesheet" href="styles.css">
    </head>
    <body>
        <section> 
            <h1>Puhelinluettelo</h1>
            <table id='table'>
                <tr> 
                    <th>Nimi</th> 
                    <th>Puhelin</th> 
                </tr> 
            </table>
            <script> 
                $(document).ready(function () { 
                    // FETCHING DATA FROM JSON FILE 
                    $.getJSON("http://localhost:3000/users",  
                    function (data) { 
                        //Käydään läpi datasta kaikki objektit
                        $.each(data, function(key, user) {
                            //Lisätään objekteista molemmat arvot pöytään omalle riville
                            console.log(user.nimi + user.puhelin);
                            $('#table').append('<tr><th>' + user.nimi + '</th><th>' + user.puhelin + '</th></tr>');
                        });
                    });
                });
            </script> 
        </section> 
    </body>
</html>